<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
    <title>Getting Started Service Web Content</title>
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/>
    <title>Getting Started Service Web Content</title>
    <meta content="width=device-width, initial-scale=1" name="viewport">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <link href="/css/auction-view.css" rel="stylesheet"/>
    <link href="/css/custom-image.css" rel="stylesheet"/>
    <link href="/css/panel.css" rel="stylesheet"/>
    <script src="/js/auction.js" type="text/javascript"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://kit.fontawesome.com/a076d05399.js"></script>
</head>
<body>
<div th:replace="nav.html :: body"></div>
<h1 align="center">Panel</h1>

<div class="wrapper">
    <div class="topBoxPanel">
        <div class="avatarBoxPanel">
            <img class="panelAvatar" th:src="@{'http://localhost:8080/downloadFile/1'}"/>
        </div>
        <div class="simpleInfoBoxPanel">
            <div class="artistName" th:text="${panelDTO.getArtistName()}">

            </div>
            <div class="artistInfo">
                c
            </div>
        </div>
        <div class="bottomBoxPanel">
            <div class="centerBox">
                <div class="infoButtonPanel">
                    <form method="GET" th:action="@{'/auction-list/' + ${panelDTO.getArtistName()}}">
                        <button class="btn btn-primary btn-block" style="margin-bottom: 10px"
                                th:text="'Active Auctions: ' + ${panelDTO.getCountOfAuctions()}"></button>
                    </form>
                </div>
                <div class="infoButtonPanel">
                    <form method="GET" th:action="@{/login}">
                        <input class="btn btn-primary btn-block" style="margin-bottom: 10px" type="submit"
                               value="Commission him!"/>
                    </form>
                </div>
                <div class="infoButtonPanel">
                    <form method="GET" th:action="@{/login}">
                        <input class="btn btn-primary btn-block" style="margin-bottom: 10px" type="submit"
                               value="Art-Trade him!"/>
                    </form>
                </div>
                <div class="infoButtonPanel">
                    <form method="GET" th:action="@{'/gallery/' + ${panelDTO.getArtistName()}}">
                        <input class="btn btn-primary btn-block" style="margin-bottom: 10px" type="submit"
                               value="Portfolio"/>
                    </form>
                </div>
            </div>
        </div>
        <div class="bottomBoxPanel">
            <div class="centerBox">
                <div class="infoButtonPanel">
                    <button class="btn btn-primary btn-block" style="margin-bottom: 10px"
                            th:text="'Active Commissions: ' + ${panelDTO.getOpenedCommissions()}"></button>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>